# Ds\Sequence::find

(PECL ds >= 1.0.0)

Ds\Sequence::find — Attempts to find a value's index

### Descripción

abstract public Ds\Sequence::find(mixed `$value`): mixed

Returns the index of the `value`, or `false` if not found.

### Parámetros

`value`

  The value to find.

### Valores devueltos

The index of the value, or `false` if not found.

> Nota:

> Values will be compared by value and by type.

### Ejemplos

Ejemplo #1 Ds\Sequence::find() example

`<?php
$sequence = new \Ds\Vector(["a", 1, true]);
var_dump($sequence->find("a")); // 0
var_dump($sequence->find("b")); // false
var_dump($sequence->find("1")); // false
var_dump($sequence->find(1)); // 1
?>`

El resultado del ejemplo sería algo similar a:

    int(0)
    bool(false)
    bool(false)
    int(1)